List schedules

Describes a list of schedules associated with an account. Append the hydrate=accounts query parameter to include partial account details in the response.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.read scope.

GET
/accounts/{accountID}/schedules
cURL Go .NET Java Ruby TypeScript PHP Python
curl -X GET "https://api.moov.io/accounts/{accountID}/schedules" \
  -H "Authorization: Bearer {token}" \
  -H "x-moov-version: v2024.01.00" \
mc, _ := moov.NewClient()

var accountID string

mc.ListSchedule(ctx, accountID)
using Moov.Sdk;
using Moov.Sdk.Models.Requests;

var sdk = new MoovClient(xMoovVersion: "<value>");

ListSchedulesRequest req = new ListSchedulesRequest() {
    Skip = 60,
    Count = 20,
    AccountID = "b69f6366-984e-40f9-82a0-65335a43431d",
};

var res = await sdk.Scheduling.ListAsync(req);

// handle response
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListSchedulesResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws Exception {

        Moov sdk = Moov.builder()
                .xMoovVersion("v2024.01.00")
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        ListSchedulesResponse res = sdk.scheduling().list()
                .skip(60L)
                .count(20L)
                .accountID("b69f6366-984e-40f9-82a0-65335a43431d")
                .call();

        if (res.scheduleListResponses().isPresent()) {
            // handle response
        }
    }
}
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
      x_moov_version: 'v2024.01.00',
    )

req = Models::Operations::ListSchedulesRequest.new(
  skip: 60,
  count: 20,
  account_id: 'b69f6366-984e-40f9-82a0-65335a43431d',
)

res = s.scheduling.list(request: req)

unless res.schedule_list_responses.nil?
  # handle response
end
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  xMoovVersion: "v2024.01.00",
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.scheduling.list({
    skip: 60,
    count: 20,
    accountID: "b69f6366-984e-40f9-82a0-65335a43431d",
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;

$sdk = MoovPhp\Moov::builder()
    ->setXMoovVersion('v2024.01.00')
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$request = new Operations\ListSchedulesRequest(
    skip: 60,
    count: 20,
    accountID: 'b69f6366-984e-40f9-82a0-65335a43431d',
);

$response = $sdk->scheduling->list(
    request: $request
);

if ($response->scheduleListResponses !== null) {
    // handle response
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    x_moov_version="v2024.01.00",
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.scheduling.list(account_id="b69f6366-984e-40f9-82a0-65335a43431d", skip=60, count=20)

    # Handle response
    print(res)
200 401 403 429 500 504
The request completed successfully.
application/json
[
  {
    "sourceAccount": {
      "accountID": "string",
      "displayName": "string",
      "email": "string"
    },
    "destinationAccount": {
      "accountID": "string",
      "displayName": "string",
      "email": "string"
    },
    "partnerAccount": {
      "accountID": "string",
      "displayName": "string",
      "email": "string"
    },
    "description": "string",
    "destinationAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
    "mode": "production",
    "occurrences": [
      {
        "scheduleID": "string",
        "occurrenceID": "string",
        "mode": "production",
        "generated": true,
        "indefinite": true,
        "canceledOn": "2019-08-24T14:15:22Z",
        "runOn": "2019-08-24T14:15:22Z",
        "runTransfer": {
          "amount": {
            "currency": "USD",
            "value": 1204
          },
          "salesTaxAmount": {
            "currency": "USD",
            "value": 1204
          },
          "destination": {
            "paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
            "achDetails": {
              "companyEntryDescription": "Gym dues",
              "originatingCompanyName": "Whole Body Fit"
            },
            "cardDetails": {
              "dynamicDescriptor": "WhlBdy *Yoga 11-12"
            }
          },
          "partnerAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
          "source": {
            "paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
            "achDetails": {
              "companyEntryDescription": "Gym dues",
              "originatingCompanyName": "Whole Body Fit"
            },
            "cardDetails": {
              "dynamicDescriptor": "WhlBdy *Yoga 11-12"
            }
          },
          "description": "string",
          "lineItems": {
            "items": [
              {
                "name": "string",
                "basePrice": {
                  "currency": "USD",
                  "valueDecimal": "12.987654321"
                },
                "quantity": 1,
                "options": [
                  {
                    "name": "string",
                    "quantity": 1,
                    "priceModifier": {
                      "currency": "USD",
                      "valueDecimal": "12.987654321"
                    },
                    "group": "string",
                    "images": [
                      {
                        "imageID": "string",
                        "altText": "string",
                        "link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
                        "publicID": "string"
                      }
                    ]
                  }
                ],
                "productID": "string",
                "images": [
                  {
                    "imageID": "string",
                    "altText": "string",
                    "link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
                    "publicID": "string"
                  }
                ]
              }
            ]
          }
        },
        "ranOn": "2019-08-24T14:15:22Z",
        "ranTransferID": "string",
        "status": "pending",
        "error": {
          "message": "string"
        }
      }
    ],
    "ownerAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
    "partnerAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
    "recur": {
      "recurrenceRule": "string",
      "runTransfer": {
        "amount": {
          "currency": "USD",
          "value": 1204
        },
        "salesTaxAmount": {
          "currency": "USD",
          "value": 1204
        },
        "destination": {
          "paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
          "achDetails": {
            "companyEntryDescription": "Gym dues",
            "originatingCompanyName": "Whole Body Fit"
          },
          "cardDetails": {
            "dynamicDescriptor": "WhlBdy *Yoga 11-12"
          }
        },
        "partnerAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
        "source": {
          "paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
          "achDetails": {
            "companyEntryDescription": "Gym dues",
            "originatingCompanyName": "Whole Body Fit"
          },
          "cardDetails": {
            "dynamicDescriptor": "WhlBdy *Yoga 11-12"
          }
        },
        "description": "string",
        "lineItems": {
          "items": [
            {
              "name": "string",
              "basePrice": {
                "currency": "USD",
                "valueDecimal": "12.987654321"
              },
              "quantity": 1,
              "options": [
                {
                  "name": "string",
                  "quantity": 1,
                  "priceModifier": {
                    "currency": "USD",
                    "valueDecimal": "12.987654321"
                  },
                  "group": "string",
                  "images": [
                    {
                      "imageID": "string",
                      "altText": "string",
                      "link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
                      "publicID": "string"
                    }
                  ]
                }
              ],
              "productID": "string",
              "images": [
                {
                  "imageID": "string",
                  "altText": "string",
                  "link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
                  "publicID": "string"
                }
              ]
            }
          ]
        }
      },
      "indefinite": true,
      "start": "2009-11-10T23:00:00Z"
    },
    "scheduleID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
    "sourceAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
    "createdOn": "2019-08-24T14:15:22Z",
    "updatedOn": "2019-08-24T14:15:22Z",
    "disabledOn": "2019-08-24T14:15:22Z"
  }
]

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string

Specify an API version.

API versioning follows the format vYYYY.QQ.BB, where

  • YYYY is the year
  • QQ is the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)
  • BB is the build number, starting at .01, for subsequent builds in the same quarter.
    • For example, v2024.01.00 is the initial release of the first quarter of 2024.

The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release. When no version is specified, the API defaults to v2024.01.00.

Path parameters

accountID

string required

Query parameters

skip

integer <int64>

count

integer <int64>
Default: 200

hydrate

string
Possible values: accounts

Response

application/json

destinationAccount

object
Show child attributes

partnerAccount

object
Show child attributes

sourceAccount

object
Show child attributes

accountID

string required

displayName

string required

email

string

recur

object
Show child attributes

recurrenceRule

string required
RRule as defined by RFC 5545 (https://www.rfc-editor.org/rfc/rfc5545#section-3.3.10). Generators available online at the following sites - https://freetools.textmagic.com/rrule-generator, https://jkbrzt.github.io/rrule/

runTransfer

object required
Show child attributes

indefinite

boolean
True if the RRule set runs indefinitely.

start

string<date-time>

createdOn

string<date-time>

description

string
Simple description to place on the transfer.

destinationAccountID

string

disabledOn

string<date-time>

mode

string<enum>
The operating mode for an account.
Possible values: sandbox, production

occurrences

array<object>
Show child attributes

canceledOn

string<date-time>

error

object
Contains details on why the occurrence errored.
Show child attributes

message

string

generated

boolean
True if this was generated by a RRule.

indefinite

boolean
True if the RRule set runs indefinitely.

mode

string
Sandbox or production account mode of this schedule.
The operating mode for an account.
Possible values: sandbox, production

occurrenceID

string

ranOn

string<date-time>

ranTransferID

string

runOn

string<date-time>

runTransfer

object
Show child attributes

amount

object required
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

value

integer<int64> required

Quantity in the smallest unit of the specified currency.

In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.

description

string required
Simple description to place on the transfer.

destination

object required
Show child attributes

paymentMethodID

string required

achDetails

object
Show child attributes

companyEntryDescription

string [4 to 10] characters
An optional override of the default NACHA company entry description for a transfer.

originatingCompanyName

string [4 to 16] characters
An optional override of the default NACHA company name for a transfer.

cardDetails

object
Show child attributes

dynamicDescriptor

string [4 to 22] characters
An optional override of the default card statement descriptor for a transfer. Accounts must be enabled by Moov to set this field.

partnerAccountID

string required

source

object required
Show child attributes

lineItems

object
Line items for a scheduled transfer.
Show child attributes

items

array<object> required
The list of line items.
Show child attributes

basePrice

object
The base price of the item before applying option modifiers.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

images

array<object>
Optional list of images associated with this line item.

name

string [1 to 150] characters
The name of the item.

options

array<object>
Optional list of modifiers applied to this item (e.g., toppings, upgrades, customizations).
Show child attributes

group

string <=100 characters
Optional group identifier to categorize related options (e.g., 'toppings').

images

array<object>
Optional list of images associated with this line item.
Show child attributes

altText

string <=125 characters
Alternative text for the image.

imageID

string
Unique identifier for a image resource.

link

string<uri>
The image's public URL.

publicID

string Pattern
A unique identifier for an image, used in public image links.

name

string [1 to 150] characters
The name of the option or modifier.

priceModifier

object
Optional price modification applied by this option. Can be positive, negative, or zero.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

quantity

integer<int32>
The quantity of this option.

productID

string
Optional unique identifier associating the line item with a product.

quantity

integer<int32>
The quantity of this item.

salesTaxAmount

object
Optional sales tax amount. This amount is included in the total transfer amount.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

value

integer<int64> required

Quantity in the smallest unit of the specified currency.

In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.

scheduleID

string

status

string<enum>
Status of the completed occurrence.
Possible values: pending, failed, completed

ownerAccountID

string

partnerAccountID

string

scheduleID

string

sourceAccountID

string

updatedOn

string<date-time>